• There is NO official Otland's Discord server and NO official Otland's server list. The Otland's Staff does not manage any Discord server or server list. Moderators or administrator of any Discord server or server lists have NO connection to the Otland's Staff. Do not get scammed!

Compiling Can’t find libfmt-dev

TMS

New Member
Joined
Apr 9, 2021
Messages
4
Reaction score
0
Hi, is me again

i just found out tfs is using a new library called libfmt-dev but I just can’t install it on my vm.

when I type the command sudo apt-get install libfmt-dev I get the message Error, package libfmt-dev not found.

I’m actually trying to compile tfs master branch and I am using Debian 9

thank u in advance
 
Solution
There's not much you can do, either find a PPA that provides libfmt >= 6.1.2 or update to the latest Debian release. Your release will not get updates anymore.
OP
T

TMS

New Member
Joined
Apr 9, 2021
Messages
4
Reaction score
0
Debian 9 has reached its End of Life date of 2020-07-06, you should consider upgrading.

You can try to install libfmt3-dev, its an older version, but it might work.
Thank you, . I just bought this Debian 9 vps for testing purposes and didn’t know ir was out dated.

apparently libfmt3-dev can be installed successfully but I still get the same error in cmake, tried to change requested version in CMakeLists with no success. This the message I am getting:

Code:
CMake Error at CMakeLists.txt:42 (find_package):
  By not providing "Findfmt.cmake" in CMAKE_MODULE_PATH this project has
  asked CMake to find a package configuration file provided by "fmt", but
  CMake did not find one.
  Could not find a package configuration file provided by "fmt" (requested
  version 6.1.2) with any of the following names:
    fmtConfig.cmake
    fmt-config.cmake
  Add the installation prefix of "fmt" to CMAKE_PREFIX_PATH or set "fmt_DIR"
  to a directory containing one of the above files.  If "fmt" provides a
  separate development package or SDK, be sure it has been installed.

thank you again
 
Top